VRPlatformVRPlatform
Reports

/reports/manager-statements/detail

Manager statement detail with per-account totals

GET
/reports/manager-statements/detail
X-API-Key<token>

API key provided in dashboard

In: header

Query Parameters

startAt*string
endAt*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.vrplatform.app/reports/manager-statements/detail?startAt=string&endAt=string"
{
  "currency": "string",
  "startAt": "string",
  "endAt": "string",
  "total": 0,
  "financials": {
    "balanceStart": 0,
    "balanceEnd": 0,
    "netRevenue": 0,
    "expenses": 0,
    "netIncome": 0,
    "adjustments": 0,
    "transfers": 0,
    "assetsAndLiabilities": 0,
    "availableBalance": 0
  },
  "summary": [
    {
      "name": "string",
      "text": "string",
      "value": 0,
      "separated": true
    }
  ],
  "accounts": [
    {
      "id": "string",
      "name": "string",
      "type": "ledger",
      "category": {
        "id": "string",
        "name": "string",
        "classification": "asset"
      },
      "assignments": [
        "accountsPayable"
      ],
      "centTotal": -9007199254740991
    }
  ],
  "sections": [
    {
      "id": "net-revenue",
      "name": "string",
      "accounts": [
        {
          "id": "string",
          "name": "string",
          "type": "ledger",
          "category": {
            "id": "string",
            "name": "string",
            "classification": "asset"
          },
          "assignments": [
            "accountsPayable"
          ],
          "centTotal": -9007199254740991
        }
      ],
      "centTotal": -9007199254740991
    }
  ]
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}